Get condition rule by condition id and rule id
Get a specific condition rule for a specific condition by its unique identifier.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
In: header
Path Parameters
conditionId*string
The unique identifier of the condition whose rule to retrieve.
Format
uuidruleId*string
The unique identifier of the condition rule to retrieve.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/conditions/497f6eca-6276-4993-bfeb-53cbbbba6f08/rules/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "conditionId": "1e06e0eb-07f6-4fcd-8750-870cbafd1693", "name": "string", "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d", "connection": "string", "numberOfValues": 0, "conditionRuleValues": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "conditionRuleId": "c1500357-2ca4-46d9-9ef2-7dc5a211829b", "type": "string", "variable": "string", "comparisonValue": "string", "chart": "string", "chartHasValue": true, "operator": "string", "lastReloadSuccessful": true, "order": 0 } ] }, "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}